> For the complete documentation index, see [llms.txt](https://docs.verygoodsecurity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-apis-and-region.md).

# Vault APIs and Region

If  the API is being used with a vault located in a region other than the US, the URL needs to be updated to match the region where the vault is hosted.

For example:

* If the vault in use is a US vault, then the user can replace the words 'sandbox' and 'live' within the URL to appropriately route.&#x20;
* If the vault in use is an EU or AP vault, then the URL needs to be updated to the corresponding region:

For Europe:

* <https://api.sandbox-eu-1.verygoodvault.com>
* <https://api.live-eu-1.verygoodvault.com>

For Asia/Pacific

* <https://api.sandbox-ap-1.verygoodvault.com>
* <https://api.live-ap-1.verygoodvault.com>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-apis-and-region.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
